using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.Common;
using System.Data.OleDb;
using FirebirdSql.Data.Firebird;

namespace SqlBi.Tools.SqlBulkTool {
    /// <summary>
    /// 
    /// Implementation of DataBaseCopy that uses OleDbConnection for the source
    /// 
    /// </summary>
    public class FirebirdDatabaseCopy : DatabaseCopy {
        public override IDbCommand GetDbCommand (string commandString) {
            FbConnection conn = new FbConnection (SourceConnectionString);
            return new FbCommand (commandString, conn);
        }
    }
}