using System;
using System.Data.Common;
using System.Data.OleDb;
using System.Data;

namespace SqlBi.Tools.SqlBulkTool {
    /// <summary>
    /// 
    /// Implementation of DataBaseCopy that uses OleDbConnection for the source
    /// 
    /// </summary>
    public class OleDbDatabaseCopy : DatabaseCopy {
        public override IDbCommand GetDbCommand (string commandString) {
            OleDbConnection conn = new OleDbConnection (SourceConnectionString);
            return new OleDbCommand (commandString, conn);
        }
    }
}